nfs-ganesha (5.9-4) unstable; urgency=medium

  * (again) move systemd unit files from lib/systemd to usr/lib/systemd
    (closes: 1080064)
  * bump Standards-Version to 4.7.0 (no changes)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 02 Sep 2024 15:43:55 +0200

nfs-ganesha (5.9-3) unstable; urgency=medium

  * another upload - really for unstable

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 26 Aug 2024 18:28:30 +0200

nfs-ganesha (5.9-2) experimental; urgency=medium

  * install systemd file in usr instead of etc (closes: 1078179)
  * unstable rebuild
  * bump Standards-Version to 4.6.2 (no changes)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 26 Aug 2024 16:50:14 +0200

nfs-ganesha (5.9-1) experimental; urgency=medium

  * New upstream version 5.9
  * builds with gcc-14 (closes: #1075314)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 06 Aug 2024 20:09:41 +0200

nfs-ganesha (4.3-11) unstable; urgency=medium

  * move systemd unit files from lib/systemd to usr/lib/systemd (closes:
    1071916)
  * add loongarch64/loong64 build support (closes: 1059965)
  * move dbus policy from etc to usr/share

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 27 May 2024 19:04:03 +0200

nfs-ganesha (4.3-10) unstable; urgency=medium

  * don't build FSAL GPFS on armel and armhf (closes: 1069692)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 23 Apr 2024 15:30:37 +0200

nfs-ganesha (4.3-9) unstable; urgency=medium

  * remove build-depends on libcephfs-dev for 32bit archs (closes: 1069471)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 22 Apr 2024 14:55:34 +0200

nfs-ganesha (4.3-8) unstable; urgency=medium

  * second try of fix builds on archs without ceph

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 30 Oct 2023 22:32:53 +0100

nfs-ganesha (4.3-7) unstable; urgency=medium

  * fix builds on archs without ceph

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 30 Oct 2023 15:35:39 +0100

nfs-ganesha (4.3-6) unstable; urgency=medium

  * only configure with ceph for some 64bit archs

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 05 Oct 2023 11:17:56 +0200

nfs-ganesha (4.3-5) unstable; urgency=medium

  * only configure with gluster on 64bit arch

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 08 Sep 2023 12:12:29 +0200

nfs-ganesha (4.3-4) unstable; urgency=medium

  * build gluster package only on supported architectures (closes:
    #1041998)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 07 Sep 2023 19:52:03 +0200

nfs-ganesha (4.3-3) unstable; urgency=medium

  * fix clean target (closes: Bug#1049469)
  * wrap-and-sort debian files

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 05 Sep 2023 09:29:07 +0200

nfs-ganesha (4.3-2) unstable; urgency=high

  * include breaks and replaces to fix update of nfs-ganesha-ceph (closes:
    #1034925)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 28 Apr 2023 12:25:51 +0200

nfs-ganesha (4.3-1) unstable; urgency=medium

  * New upstream version 4.3

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 25 Jan 2023 10:37:33 +0100

nfs-ganesha (4.0.12-3) unstable; urgency=medium

  * remove ganesha-rados-grace from python3-nfs-ganesha (closes: #1028501)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 12 Jan 2023 12:29:59 +0100

nfs-ganesha (4.0.12-2) unstable; urgency=medium

  * fix FTBS because of changed behavior of python3-setuptools
    (closes: #1027572)
  * include missing scripts and manpage in python3-nfs-ganesha
  * fix nfs-ganesha-proxy-v4 manpage install

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 11 Jan 2023 16:35:34 +0100

nfs-ganesha (4.0.12-1) unstable; urgency=medium

  * New upstream version 4.0.12

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 08 Nov 2022 14:08:20 +0100

nfs-ganesha (4.0.8-2) unstable; urgency=medium

  * Source only upload

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 13 Sep 2022 11:33:43 +0200

nfs-ganesha (4.0.8-1) unstable; urgency=medium

  * New upstream version 4.0.8
  * move ganesha_rados libraries to nfs-ganesha-ceph package
  * add blank lines to description to seperate identical description block
    (closes: #1001269)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 12 Sep 2022 15:38:19 +0200

nfs-ganesha (3.5-1) unstable; urgency=medium

  * New upstream version 3.5

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 07 Jan 2022 11:26:43 +0100

nfs-ganesha (3.4-2) unstable; urgency=medium

  * fix from https://review.gerrithub.io/c/ffilz/nfs-ganesha/+/525891
    instead of referral-xattr-refresh.patch
  * update standards version (no changes to package)
  * add init script
  * cleanup copyright file
  * fix some spelling errors

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 16 Nov 2021 15:51:54 +0100

nfs-ganesha (3.4-1) unstable; urgency=medium

  * New upstream version 3.4

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 20 Jan 2021 15:12:04 +0100

nfs-ganesha (3.3-3) unstable; urgency=medium

  * remove dependency from obsolete dh-systemd (closes: 979419)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 07 Jan 2021 00:31:17 +0100

nfs-ganesha (3.3-2) unstable; urgency=medium

  * source only upload to allow migration to testing (no code changes)

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 06 Jan 2021 13:53:38 +0100

nfs-ganesha (3.3-1) unstable; urgency=medium

  [ Christian Ehrhardt ]
  * d/control: Drop runtime dependency on daemon as its not used.

  [ Christoph Martin ]
  * New upstream version 3.3
  * include upstream nfs-ganesha-debian/nfs-ganesha-bullseye changes
    (closes: #952406)
  * adds nfs-ganesha-rgw (closes: #862979, #959482)
  * fix referral xattr refresh

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 09 Oct 2020 14:05:32 +0200

nfs-ganesha (3.2-3) unstable; urgency=medium

  * fix FTBFS gcc-10 (closes: #966869) (thanks to Lucas Kanashiro
    <kanashiro@debian.org>)
  * install correct initial ganesha.conf from example.

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 12 Aug 2020 15:00:18 +0200

nfs-ganesha (3.2-2) unstable; urgency=medium

  * source only upload to enable migration to testing

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 16 Mar 2020 12:33:18 +0100

nfs-ganesha (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
  * add python3-nfs-ganesha
  * add nfs-ganesha-rados-grace
  * remove nfs-ganesha-xfs
  * remove unneeded patch files
  * fix install path for new private libraries
  * cleanup copyright file
  * new version fixes build problems (closes: #952050)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 02 Mar 2020 10:10:27 +0100

nfs-ganesha (2.7.6-3) unstable; urgency=medium

  * removing python2 dependency (closes: #937137)
  * removing python2 dependency also removes qt4 dependency (closes: #935348)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 22 Nov 2019 10:41:13 +0100

nfs-ganesha (2.7.6-2) unstable; urgency=medium

  * remove python-nfs-ganesha until it supports python3

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 12 Nov 2019 09:11:08 +0100

nfs-ganesha (2.7.6-1) unstable; urgency=medium

  * New upstream version 2.7.6
  * fix glusterfs build depends (closes: #932670)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 25 Jul 2019 12:04:06 +0200

nfs-ganesha (2.7.4-1) unstable; urgency=medium

  * New upstream version 2.7.4

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 14 Jun 2019 14:40:38 +0200

nfs-ganesha (2.7.1-2) unstable; urgency=medium

  * change watch file to use git directly on github to copy with to many
    versions on the 1st release page.
  * change builddepends from glusterfs-common to libglusterfs-dev (closes:
    919669)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 18 Jan 2019 15:09:03 +0100

nfs-ganesha (2.7.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/changelog: Remove trailing whitespaces

  [ Christoph Martin ]
  * New upstream version 2.7.1

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 30 Oct 2018 10:47:05 +0100

nfs-ganesha (2.7.0.2-1) unstable; urgency=medium

  * New upstream version 2.7.0.2

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 05 Oct 2018 17:17:34 +0200

nfs-ganesha (2.7.0-1) unstable; urgency=medium

  * fix installation path of nfs-ganesha-config.sh (closes: #903662)
  * New upstream version 2.7.0

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 20 Sep 2018 10:05:47 +0200

nfs-ganesha (2.6.0-2) unstable; urgency=medium

  * fix build problems because of undefinded caddr_t
  * drop build-depends on libatomic-ops-dev (closes: 883588)

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 27 Feb 2018 11:24:34 +0100

nfs-ganesha (2.6.0-1) unstable; urgency=medium

  * New upstream version 2.6.0

 -- Christoph Martin <martin@uni-mainz.de>  Wed, 21 Feb 2018 14:51:08 +0100

nfs-ganesha (2.5.4-1) unstable; urgency=medium

  * New upstream version 2.5.4

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 27 Nov 2017 11:20:19 +0100

nfs-ganesha (2.5.2-1) unstable; urgency=medium

  * New upstream version 2.5.2
  * builds against libntirpc 1.5 (closes: #873925)
  * split into separate FSAL packages
  * add ceph support (closes: #862974)

 -- Christoph Martin <martin@uni-mainz.de>  Thu, 07 Sep 2017 09:44:07 +0200

nfs-ganesha (2.4.5-2) unstable; urgency=medium

  * add nfsrefer patch

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 28 Apr 2017 15:48:18 +0200

nfs-ganesha (2.4.5-1) unstable; urgency=medium

  [ Christoph Martin ]
  * Imported Upstream version 2.4.5 (closes: #859645)

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 28 Apr 2017 14:03:00 +0200

nfs-ganesha (2.4.4-3) unstable; urgency=medium

  * include missing nfs-ganesha-config.sh (closes: #859955)
  * fix reload of nfs-ganesha service via SIGHUP (closes: 860042)

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 24 Apr 2017 17:22:29 +0200

nfs-ganesha (2.4.4-2) unstable; urgency=medium

  * link with libatomic if necessary (closes: #859763)
  * remove src/NodeList files from copyright

 -- Christoph Martin <martin@uni-mainz.de>  Fri, 07 Apr 2017 16:52:53 +0200

nfs-ganesha (2.4.4-1) unstable; urgency=medium

  [ Christoph Martin ]
  * Imported Upstream version 2.4.4

 -- Christoph Martin <martin@uni-mainz.de>  Tue, 04 Apr 2017 16:19:01 +0200

nfs-ganesha (2.4.0-1) experimental; urgency=medium

  [ Kaleb S. KEITHLEY ]
  * nfs-ganesha 2.4.0 GA

  [ Christoph Martin ]
  * first Debian release
  * add gluster 7.3.8.6 patch

 -- Christoph Martin <martin@uni-mainz.de>  Mon, 16 Jan 2017 17:47:48 +0100

nfs-ganesha (2.3.2-2) stretch; urgency=medium

  * nfs-ganesha 2.3.2 GA

 -- Kaleb S. KEITHLEY <kkeithle@redhat.com>  Thu, 23 Jun 2016 15:30:00 +0200

nfs-ganesha (2.3.2-1) stretch; urgency=medium

  * nfs-ganesha 2.3.2 GA

 -- Kaleb S. KEITHLEY <kkeithle@redhat.com>  Tue, 21 Jun 2016 15:30:00 +0200

nfs-ganesha (2.3.0-1) stretch; urgency=medium

  * nfs-ganesha 2.3.0 GA + FSAL_GPFS/export.c patch BZs 1300842, 1300845

 -- Kaleb S. KEITHLEY <kkeithle@redhat.com>  Thu, 26 Feb 2016 15:30:00 +0200

nfs-ganesha (2.2.0-1) stable; urgency=low

  * Ganesha supports granting delegations
  * There have been numerous config changes
  * Ganesha now includes systemd scripts
  * Improved packaging for RPM and Debian
  * Major stability improvements
  * non-QT based python tools
  * Support for Ganesha to be a pNFS DS only, no MDS
  * SECINFO in preferred order
  * LTTng support
  * NFS v4.2 support
  * Major improvements in 9p support
  * Code cleanup (checkpatch and Coverity)
  * ntirpc improvements
  * FSAL_GLUSTER updated with pNFS and ACL support and more

 -- Philippe Deniel <philippe.deniel@cea.fr>  Wed, 22 Apr 2015 15:30:00 +0200

nfs-ganesha (2.1.0-1) stable; urgency=low

  * Updates for the debian packaging using the cmake build system

 -- Charles Hardin <ckhardin@gmail.com>  Fri, 29 Aug 2014 20:18:45 +0000

nfs-ganesha (1.5.0-1) stable; urgency=low
  * TIRPC library was significantly refurbished with bi-directional RPC support (required for NFSv4.1 backchannels)
  * Multiple RPC dispatch is now supported
  * Cache inode has been reworked on its handling of directory entries
  * Cache inode readdir logic is now based on callbacks to take advantage of AVL tree work
  * State Management has been unified and improved. Locking is consistent across both NFSv3 and NFSv4.x
  * Client id management support has been added
  * 9p.2000L support has been added. Dev is currently under alpha version
  * Improved file handle support. Handles's versions and variable length handles are better supported.
  * Memory allocation has been refactored. TC-Malloc or Jemalloc can be use with a fallback to libC's malloc/free
  * Improved Kerberos support. Compatibility with Microsoft AD Kerberos is improved.
  * FSAL_SNMP is now officially deprecated

 -- Philippe Deniel <philippe.deniel@cea.fr>  Mon, 16 Jul 2012 11:11:00 +0200

nfs-ganesha (1.4.0-1) stable; urgency=low
  * Bug Fix: Memory leak fixed in RPC's DRC
  * Bug Fix: Bad computation of rbt_value in RPC's DRC's hashtable
  * New FSAL_CEPH (dedicated to the ceph filesystem)
  * pNFS code refurbished with CEPH specific code and layout file support
  * All RPCs are now based on TIRPC
  * Bug Fix: in nfs_Write, for clean handle of umask, the server should allow the owner of a file to write to it, even if the file is read-only
  * Bug Fix: bad memory padding in fsal_handle_t and fsal_cookie_t

 -- Philippe Deniel <philippe.deniel@cea.fr>  Thu, 15 Mar 2012 10:41:00 +0200

nfs-ganesha (1.3.0-1) stable; urgency=low
  * Lustre FSAL: exporting several Lustre filesystem with the same server
  * A bug was found and fix in OP4_READDIRPLUS (produced missing entries)
  * Directory content cached is now managed as a tree.
  *  Lock support for FSAL_LUSTRE
  * Lustre FSAL: regression in readdir detected and fixed
  * FSAL_LUSTRE/FSAL_XFS/FSAL_FUSELIKE/FSAL_ZFS: regression in readdir detected
  * export list now support IP ranges using the CIDR format

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri, 23 Dec 2011 10:00:00 +0200

nfs-ganesha (1.2.0-1) stable; urgency=low
  * Bug Fix:  Call cache_inode_close after deleting share state
  * Added support for ERR_FSAL_DELAY in upper layer
  * FSAL code has been reorganized a lot
  * New SAL (State Abstraction Layer) to manage locks (NFSv4/NLM) and shares
  * Symbolic Links are managed via a pool to save memory in Cache_Inode
  * Early 9P support
  * Lustre FSAL: exporting several Lustre fuilesystem with the same server

 -- Philippe Deniel <philippe.deniel@cea.fr>  Mon, 12 Dec 2011 11:11:11 +0200

nfs-ganesha (1.1.1-1) stable; urgency=low
  * Bug Fix: padded size for FSAL-less daemon were too short and not aligned on 64 bits
  * Bug Fix: Badly formed fsal_op_context_t in FSAL_ZFS (issue when using as shared object)
  * Bug Fix: bad modes/ACLs management in several FSALs (produced EPERM errors)
  * Bug Fix: badly managed access_type in nfs3_Access
  * Bug Fix:  Call cache_inode_close after deleting share state
  * Added support for ERR_FSAL_DELAY in upper layer
  * FSAL code has been reorganized a lot
  * New SAL (State Abstraction Layer) to manage locks (NFSv4/NLM) and share reservations
  * NFSv4.0 are now activated by default
  * Symbolic Links are managed via a pool to save memory in Cache_Inode
  * Early 9P support
  * Lustre FSAL: exporting several Lustre fuilesystem with the same server instance

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri, 11 Nov 2011 11:11:11 +0200

nfs-ganesha (1.0.1-1) stable; urgency=low
  * Bug Fix: Bad memset in FSAL_HPSS::HPSSFSAL_lookup. Result was a segfault at init.
  * Code reorganization : subdirectory RPCAL has been added
  * Bug fix: bad 'fd2handle' options in FSAL_XFS::FSAL_rename
  * pNFS : API for implementing pNFS specific feature has been fully refurbished.
  * FSAL_VFS: new FSAL using "open_by_handle" feature added in the kernel higher than 2.6.39.
  * NFSv4: the product is now compiled with NFSv4.1 support by default
  * Log module: now using __FUNCTION__ macro to get the function's name
  * Bug Fix: the cache_inode_commit function badly managed the Data Cache.
  * Multiple FSAL support: it is now possible to 'dlopen' several fsal shared objects.
  * Bug Fix: issue occured in 'Tbl' pass of cthon04 test for FSAL_XFS and FSAL_VFS
  * NFSv4 ACLs support
  * GPFS ACLs support (to be used with NFSv4 ACL support)

 -- Philippe Deniel <philippe.deniel@cea.fr>  Wed,  7 Apr 2011 11:23:00 +0200

nfs-ganesha (1.0.5-1) stable; urgency=low
  * Using function daemon() to start the daemon in a cleaner way
  * Using gethostbyaddr_r to avoid contention when resolving address in
    nfs_ip_name.c
  * pNFS/file support has been added for LUSTRE
  * pNFS related sources were reorganized with a design closer to what is done with FSAL/MFSL
  * "stable_how" flag management has been remade in deep, including a new FSAL_sync call to every FSAL
  * FSAL_PROXY: the FSAL is no able to deal correctly when the remote server restarts
  * Data Cache : a set of flushers threads has been added to the daemon, making it possible to run the flush operations internally
  * Bug Fix: FSAL error was not converted into a Cache_inode error, and thus was  dropped, causing client to infinite retry
  * Add a new tool to find all the instances of LogXXX
  * New LogInfo and LogWarn log level

 -- Philippe Deniel <philippe.deniel@cea.fr>  Mon,  6 Apr 2011 12:36:00 +0200

nfs-ganesha (1.0.4-1) stable; urgency=low
  * init.d scripts are now closer to LSB requirements
  * Bug fix: race condition when inserting the same new entry several time and concurrently in metadata cache
  * Bug fix : it was impossible to set "/" as an export's entry's pseudopath
  * Bug fix : badly pack fsal_handle in FSAL_PROXY could create 2 entries in cache_inode for a single file.
  * Bug Fix : misaligned structure produced memory violation in FSAL_PROXY

 -- Philippe Deniel <philippe.deniel@cea.fr>  Tue, 25 Jan 2011 10:10:00 +0200

nfs-ganesha (1.0.3-1) stable; urgency=low
  * A regression in FSAL_PROXY was fixed (size of NFSv4 handles)
  * HashTable support hash functions that compute hashval and rbtval in one pass
  * Cache_inode uses a "dual value compute function" in its hashtable
  * Reverse clientid mapper uses a "dual value compute function" in its hashtable
  * pNFS/LAYOUT4_NFSV4_1_FILES : several bug fixed (see git log)
  * DupReq indexation has been reviewed
  * security fixed : when 'root' is mapped as nobody, its 'altgroups' is cleared
  * Configuration can now reduce the version of NFS advertsised to rpcbind (to avoid NFSv2 for example).
  * XML output has been added to non-regression tests for easier integration in HudsonCI
  * A few changes in NLM implementation
  * FSAL_HPSS has been ported to HPSSv7.3.2
  * Better management of NFSv4.x attribute FATTR4_CHANGE

 -- Philippe Deniel <philippe.deniel@cea.fr>  Thu, 21 Dec 2010 10:10:00 +0200

nfs-ganesha (1.0.2-1) stable; urgency=low
  * New TCP connection management to avoid DOS-like attack
  * Tag _NO_BLOCK_PREALLOC was removed
  * Bug Fix : OP4_REMOVE did not operate if the destination was an existing file
  * Bug Fix : FATTR4_ACL is now an unsupported attributes (it is in fact)
  * Bug Fix : OP4_GETATTR on unsupported attributes should ignore them instead
    of returning NFS4ERR_ATTR_NOTSUPP
  * Bug Fix : locks_held counter was badly managed in OP4_LOCKU
  * Bug Fix : OP4_DESTROY_SESSION returned bad session when session was
    successfully destroyed.
  *  Bug Fix : FSAL_XFS:fsal_create always made files owned by root.
  * Code Cleaning : all Log* functions's format were reviewed and fixed
  * Memory manager improvement : stuff_alloc macros and BuddyMalloc are now
    closely tied.
  * Bug Fix : erroneous EACCESS in FSAL_XFS and FSAL_LUSTRE when

 -- Philippe Deniel <philippe.deniel@cea.fr>  Thu, 18 Oct 2010 10:10:00 +0200

nfs-ganesha (1.0.1-1) stable; urgency=low
  * New FSAL model: FSAL modules can now be compile as shared object and can
    be loaded at runtime
  * New FSAL to support ZFS filesystem
  * Add the capability to build a "FSAL-less" daemon that loads FSAL shared
    object by using the dlopen function.
  * FSAL_PROXY: the embedded client now can allocate a tcp socket on a
    privileged port to contact the "proxyfied" server
  * FSAL shared objects are provided as precompiled rpms
  * Log layer now uses syslog as a possible log stream
  * Add new call FSAL_getextattrs to get info such a generation number or
    creation time
  * New Log management from IBM
  * Several potential buffer overflow in fscanf fixed

 -- Philippe Deniel <philippe.deniel@cea.fr>  Thu, 23 Sep 2010 10:10:00 +0200

nfs-ganesha (0.99.65-1) stable; urgency=low

  * FSAL_XFS now has lock support
  * Brand new FSAL_GPFS added (patch from IBM) to natively support GPFS
  * FSAL_POSIX and FSAL_XFS now have quota support (via rquota v1/v2 protocol
    and the use of the quotactl function)
  * Typos fixed in doxygen.conf files
  * FSAL_TEMPLATE updated (had new functions for quota and lock management)
  * pNFS/LAYOUT_FILES works with multiple Data Server

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri, 25 Apr 2010 13:14:00 -0600

nfs-ganesha (0.99.64-1) stable; urgency=low

  * Export Access Type "MDONLY" was not managed when using NFSv4
  * Add safety check to cache_inode_remove/cache_inode_create and
    cache_inode_link to prevent from non allowed access.
  * Statistics for NFSv4.0 and NFSv4.1 operations have been added
  * Bug Fix: default value for FSINFO3::dtpref was 0. Value 16384 is now used.
  * Bug Fix: OPEN4 returns NFS4ERR_ROFS when used from the pseudofs
  * Early (unstable) implementation of pNFS provided. Will continue and be
    stabilized in later releases.
  * Project is now released under the terms of the LGPLv3

 -- Philippe Deniel <philippe.deniel@cea.fr>  Thu, 29 Apr 2010 13:14:00 -0600

nfs-ganesha (0.99.63-1) stable; urgency=low

  * A big patch provided by Aneesh Kumar (aneesh.kumar@linux.vnet.ibm.com)
    implements the NLMv4 protocol
  * A "indent" target has been add to the src/Makefile.am .
  * C-format style template for emacs provided by Sean Dague (japh@us.ibm.com)
  * Bug fix (Frank Filz) : readdir had an extraneous empty request with eod=TRUE
  * Bug fix : It was impossible to mount an exported entry's sub directory

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri,  5 Jan 2010 13:14:00 -0600

nfs-ganesha (0.99.62-1) stable; urgency=low

  * Security fix : badly managed caller_gid in nfs_exports.c
  * Fixed a typo in nfs-ganesha.spec.in
  * RPM packaging : fixed bad dependences for db engine to be used with
    FSAL_POSIX
  * Debian Packaging : fixed same dep problems as above with rpm files
  * Bug Fix : in idmapper.c, functions utf82uid and utf82gid were badly managing
  parameters when used with libnfsidmap
  * pNFS implementation : now support attribute FATTR4_FS_LAYOUT_TYPE
  * Fixed a bug in a Makefile.am that prevent target 'check' to compile
  * RPM packaging : when compiling rpm files, only those related to the FSAL
    chosen at ./configure time are build
  * fixed two typos and one potential memleaks (thanks to IBM guys how located
    this in the code)

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri,  5 Jan 2010 13:14:00 -0600

nfs-ganesha (0.99.61-1) stable; urgency=low

  * A patch from Eric Sesterhenn about memleaks has been integrated.
  * Bug Fix : now check value of csa_flags for OP4_CREATE_SESSION
  * Bug Fix : OP4_LOOKUPP should return NFS4ERR_SYMLINK instead of
    NFS4ERR_NOTDIR when cfh is related to a symbolic link.
  * Bug Fix : error NFS4ERR_NOT_ONLY_OP managed for OP4_EXCHANGE_ID
  * Bug Fix : OP4_LOOKUPP should return NFS4ERR_NOENT when called from the
    rootfh
  * Bug Fix : management of NFS4ERR_NOT_ONLY_OP introduced a bug when
    compiling without NFSv4.1 support. This is now fixed.
  * Changed bad #define in Log/log_functions.c (former situation could lead to
    possible buffer overflow
  * A patch by Erik Levinson about the use of libnfsidmap with gssrpc has been
    integrated
  * Bug Fix : it was impossible to compile with both support for gssrpc and
    support for NFSv4.1 (mismatch in nfsv41.h and xdr_nfsv41.c)

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri, 22 Jan 2010 13:14:00 -0600

nfs-ganesha (0.99.60-1) stable; urgency=low

  * The uid/gid mapping functions did a bad use of their related
    idmapper_cache functions
  * Bug Fix : with kernel newer than 2.6.29, Connectathon's test6 failed
  * Lock supports is available and apparently healthy with NFSv4.1
  * Bug Fix: NFSv4 rsize/wsize had always value 1024 that killed performances
  * Bug Fix : in nfsv4, the same open_owner opening a previously opened
    fileid did not get the same stateid.
  * Bug Fix : most of the time, files opened/created via NFSv4 were never closed

 -- Philippe Deniel <philippe.deniel@cea.fr>  Mon, 30 Nov 2009 13:14:00 -0600

nfs-ganesha (0.99.58-1) stable; urgency=low

  * Added early implementation of NFSv4.1
  * Added optional use of libnfsidmap


 -- Philippe Deniel <philippe.deniel@cea.fr>  Mon, 14 Sep 2009 13:14:00 -0600

nfs-ganesha (0.99.57-1) stable; urgency=low

  * Add write/commit logic to NFSv3 / NFSv4
  * Fix many bugs related to clientid/open_owner/lockonwner/seqid


 -- Philippe Deniel <philippe.deniel@cea.fr>  Thu, 30 July 2009 13:14:00 -0600

nfs-ganesha (0.99.56-1) stable; urgency=low

  * Fix log messages in MFS_ASYNC
  * Change two debug messages in MFSL_ASYNC
  * Removed a debug messages in fusexmp_fh
  * Bug fix in RW_Lock (may lead to deadlock when used in massively parralel
    environment
  * Prevent FSAL_PROXY to use udp as a transport layer
  * MFSL_ASYNC: now, only root can chmod or chgrp on a file/dir/symlink
  * MFSL_ASYNC: the way mfsl_async_symlink is work was fully reviewd

 -- Philippe Deniel <philippe.deniel@cea.fr>  Wed,  8 July 2009 09:14:00 -0600

nfs-ganesha (0.99.55-1) stable; urgency=low

  * Bug fixed in nfs4_op_open (bad allocation)
  * For compatibility reason with older clients, a "rather stateless"
    implementation of the NFSv4 state model was set my default.
  * Regular stateid model (still in progress) is still available as a
    ./configure argument

 -- Philippe Deniel <philippe.deniel@cea.fr>  Tue, 30 June 2009 09:14:00 -0600

nfs-ganesha (0.99.54-1) stable; urgency=low

  * Many bugs fixed in NFSv4 locks and states management

 -- Philippe Deniel <philippe.deniel@cea.fr>  Thu, 28 May 2009 09:14:00 -0600

nfs-ganesha (0.99.53-1) stable; urgency=low

  * Bug Fix in the non-regression test suite
  * Many bug fixed in MFSL_ASYNC (tested with FSAL_PROXY)
  * FSAL_POSIX uses pread/pwrite instead of fseek+fwrite/fseek+fread
  * NFSv4 implementation now supports NFSv4 referrals

 -- Philippe Deniel <philippe.deniel@cea.fr>  Wed, 20 May 2009 09:14:00 -0600

nfs-ganesha (0.99.52-1) stable; urgency=low

  * Bug Fix: possible race condition in cache_inode_readdir
  * MFSL_ASYNC: now, preallocated entries are owned by each worker
  * Bug Fix: bad MFSL_Context management in ganeshell
  * Bug Fixi (MFSL): deleted entry can no more be looked up
  * Lustre v2 FSAL Beta support (new FSAL)
  * Fixed bug in rw_lock_downgrade
  * I/O optimization and fd cache management

 -- Philippe Deniel <philippe.deniel@cea.fr>  Wed,  4 Mar 2009 10:05:28 -0600

nfs-ganesha (0.99.51-1) stable; urgency=low

  * MFSL function are now accessible via ganeshell if --with-msfl is specified
  * MFS_ASYNC has been added

 -- Philippe Deniel <philippe.deniel@cea.fr>  Tue, 27 Jan 2009 10:05:28 -0600


nfs-ganesha (0.99.50-1) unstable; urgency=low

  * Initial release for debian
  * Port to OpenSolaris

 -- Philippe Deniel <philippe.deniel@cea.fr>  Fri, 23 Jan 2009 09:27:08 -0600

